version: '2'
services:
  web:
    restart: always
    build:
     context: .
     dockerfile: Dockerfile-production
    container_name: meanjs
    ports:
     - "8443:8443"
    environment:
     - NODE_ENV=production
     - DB_1_PORT_27017_TCP_ADDR=db
    depends_on:
     - db
    volumes_from:
     - web-data
  web-data:
    build:
     context: .
     dockerfile: Dockerfile-production
    entrypoint: /bin/true
    volumes:
     - /opt/mean.js
     - /opt/mean.js/node_modules
     - /opt/mean.js/public
     - /opt/mean.js/uploads
  db:
    image: mongo:3.2
    restart: always
    volumes_from:
      - db-data
  db-data:
    image: mongo:3.2
    volumes:
      - /data/db
      - /var/lib/mongodb
      - /var/log/mongodb
    entrypoint: /bin/true

